body {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    height: 100vh;
}
::selection {
    background: hsl(45, 100%, 72%);
    color: hsl(0, 0%, 7%);
}
  
/* For WebKit browsers (Chrome, Safari) */
::-webkit-scrollbar {
    width: 8px; /* Adjust the width as needed */
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: rgb(255, 187, 0);
  }
  
  ::-webkit-scrollbar-track {
    background-color: #f1f1f1;
  }
  
.opening-overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.976);
    z-index: 9999;
    transition: opacity 1s;
}

.overlay-content {
    text-align: center;
    color: white;
}

/* Additional styles for hiding the overlay after a moment */
.hide-overlay {
    opacity: 0;
    pointer-events: none;
}
.my_image{
    height: 50%;
    width: 50%;
}


li {
    list-style: none;
}

a {
    text-decoration: none;

    color: white;
}

a:hover {
    color: hsl(45, 100%, 72%);
    text-decoration: underline;
}

.container {
    background-image: url('../Image/background(1).jpeg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 100vh;
}

.main-nav{
    display: block;
    
}

.navbar {
    display: flex;
    justify-content: space-between;

}

.navbar-list {
    display: flex;
    margin-top: 100px;
    margin-right: 100px;  

}

.navbar-item {
    padding-left: 10px;
    padding-right: 20px;
}

.navbar-link {
    color: white;

}
.navbar a.active {
    color: rgb(255, 187, 0);
}

.sidenav a.active {
    color: rgb(255, 187, 0);
}
.logo img {
    width: 200px;
    height: 200px;
    margin-top: 30px;
    margin-left: 30px;
}
.side-nav{
    display: none;
}


.open-btn {
    position: fixed;
    top: 20px;
    left: 10px;
    font-size: 35px;
    cursor: pointer;
    border: none;
    background: none;
    color:rgb(255, 187, 0);
    z-index: 1;
}

.sidenav {
    height: 100%;
    width: 200px;
    position: fixed;
    z-index: 1;
    top: 0;
    left: -200px; /* Initially hide the side navigation */
    background-color: #333;
    padding-top: 50%;
    transition: 1.0s; /* Add smooth transition effect */
}

.sidenav a, .close-btn {
    padding: 15px 8px 15px 32px;
    text-decoration: none;
    font-size: 18px;
    color: white;
    display: block;
}

.sidenav a:hover {
    background-color: #555;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 25px;
    cursor: pointer;
    border: none;
    background: none;
    color: white;
}

.content {
    text-align: center;
    font-size: 25px;
    padding: 20px;
    background-color: rgba(0,0,0, 0.4);
    color: white;
    font-weight: bold;
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%,-70% ); 
    width: 70%;
    padding: 20px;
    text-align: center;  
    border: 3px solid transparent; 
    border-image: linear-gradient(90deg, hsl(45, 100%, 50%), hsla(0, 95%, 55%, 0.64)) 1; 
}  
  .content {
    display: none;
    animation: fade 4s ease-in-out;
}

@keyframes fade {
    0%, 100% {
        opacity: 0;
    }
    20%, 85% {
        opacity: 1;
    }
    from {color: white;
    }
    to {color:rgb(255, 187, 0);}
}

.about-info {
    padding: 100px; 
    text-align: justify;
    line-height: 1.6;
    color: #333; 
}
.about-info p {
    margin-bottom: 20px;
}



 


.content h1,
.content h2,
.content h4 {
    margin: 10px 0;   
}

.about {
    text-align: center;
    padding: 20px;
    line-height: 0.7;
    text-transform: uppercase;
    margin-top: 100px;
}

.about h4 {
    margin-top: 90px;
    color: #797979;
}

.about::after {
    content: '';
    display: block;
    width: 15%;
    height: 3.5px;
    background: linear-gradient(90deg, hsl(45, 100%, 50%), hsla(0, 95%, 55%, 0.64));   
    margin-top: 10px;
    margin: 60px auto 0;

}

.service {
    text-align: center;
    padding-top: 25px;
    padding-left: 100px;
    padding-right: 100px;
    padding-bottom: 50px;
    margin-top: 100px;
    background-color: rgba(233, 233, 233, 0.76);
}

.service h4 {
    margin-top: 20px;
    color: #797979;
    text-transform: uppercase;
    margin-bottom: 75px;
}

.service h1 {
    text-transform: uppercase;
}

.service::after {
    content: '';
    display: block;
    width: 15%;
    height: 3.5px;
    background: linear-gradient(90deg, hsl(45, 100%, 50%), hsla(0, 95%, 55%, 0.64));   
    margin-bottom: 10px;
    margin: 100px auto 0;
}


.service-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.service-item {
    margin: 10px;
    text-align: center;
    flex: 0 0 35%;
    margin-bottom: 120px;
}

.service-item i {
    display: block;
    margin-bottom: 25px;
}

.service-details {
    text-align: center;
}

.service-details h2 {
    color: hsl(45, 100%, 50%);
    font-size: 1.2em;
    margin-bottom: 5px;
}

.service-details p {
    color: #666;
    text-align: justify;
}


.footer {
    background-color: #333;
    color: #c5c5c5;
    padding-top: 25px;
    padding-left: 100px;
    padding-right: 100px;
    padding-bottom: 50px;
}

.footer-content {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.contact-info,
.quick-links,
.workhours {
    flex: 1;
    margin: 0 20px;
}

.workhours{
    text-align: right;
}

.contact-info a,.quick-links a{
    color: #c5c5c5 !important;
}




.footer-content h3 {
    font-size: 1.5em;
    margin-bottom: 10px;
    background: linear-gradient(90deg, hsl(45, 100%, 54%), hsl(0, 100%, 50%));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


.footer-content p {
    line-height: 1.5;
}

.footer-content ul {
    list-style: none;
    padding: 0;
}

.footer-content li {
    margin-bottom: 5px;
}


.copyright {

    text-align: center;
    margin-top: 50px;
}

.share i {
    padding: 0 20px 0 0;
    color: rgb(255, 140, 0);
}

.share i:hover {
    color: hsl(45, 100%, 50%);
    
}


.copyright p {
    
    font-size: 0.9em;
}
.copyright-content{
    margin-top: 40px;
}

.developer-credit {
    text-align: center;
    margin-top: 20px;
    color: #c5c5c5;
}

.developer-credit p {
    font-size: 0.8em;
}

.contact {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }
  
  .form {
    background-color: #f4f4f4;
    padding: 20px;
    border-radius: 8px;
    width: 90%;
    max-width: 400px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.975);
  }
  
  .input-wrapper {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  
  .form-input {
    width: 94%;
    padding: 10px;
    margin: 5px 0;
    border: 1px solid hsl(45, 100%, 50%);
    border-radius: 4px;
  }
  
  textarea {
    resize: vertical;
  }
  
  .form-btn {
    background-color: hsl(45, 100%, 50%);
    color: #fff;
    margin-left: 35%;
    margin-top:30px;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;

  }
  
  
  @media screen and (max-width: 600px) {
    .form {
      width: 70%;
    }
  }



@media (max-width: 431px) {

    .side-nav{
        display: block;
    }
    .main-nav{
        display: none;
    }
   .navbar {
        flex-direction: column; /* Change to a vertical layout on smaller screens */
        align-items: center;
        justify-content: center; /* Center both horizontally and vertically */
        text-align: center; /* Center text within each item */
    
    }
    .navbar-list {
        font-size: 14px;
        margin-right: 0px;
        margin-top: 50px;

    }


    .navbar-item {
        margin-right: 40px;
        margin-left: 0px;
        padding-left: 0px;
        padding-right: 0px;
    }
   
    .content{
        color: rgb(255, 187, 0);
        margin-top: 100px;
    }
    
    .logo img {
        margin-top: 30px;
        margin-left: 0px;
    }

    .content {
        width: 80%;
        top: 50%;
        transform: translate(-50%,-62% );
        
    }

    .content h1,
    .content h2,
    .content h4 {
        margin: 10px 0;   
    }
    .content h1{
        font-size: 37px;
    }
    .content h2{
        font-size: 23px;
    }
    .content h4{
        font-size: 17px;
    }
    .about {
        line-height: 1.2;
        padding-left:10px;
        padding-right:10px;
    }
    .about h3{
        font-size: 11px;
    }
    .about h4{
        font-size: 8px;
    }
    .service {
        padding-top: 10px;
        padding-left: 50px;
        padding-right: 50px;
        padding-bottom: 50px;
        margin-top:10px;
       
    }
    .service h1{
        font-size: 37px;
    }
    .service h2{
        font-size: 23px;
    }
    .service h4{
        font-size: 8px;
    }
    
    .service-item {
    margin: 10px;
    text-align: center;
    flex: 0 0 100%;
    margin-bottom: 50px;
    }
    

    .service-item i {
    display: block;
    margin-bottom: 20px;
    }

    .footer h3{
        font-size:15px;
    }
    .footer p{
        font-size:8.5px;
    }
    .footer {
        padding-top:20px;
        padding-left: 70px;
        padding-right: 70px;
        padding-bottom: 50px;
    }
    .quick-links ul{
        font-size:9px;
    }
    

}


